Package com.google.android.exoplayer2.transformer

## Class VideoEncoderSettings

- java.lang.Object
- - com.google.android.exoplayer2.transformer.VideoEncoderSettings

-     public final class VideoEncoderSettings
      extends Object

  Represents the video encoder settings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `VideoEncoderSettings.BitrateMode` | The allowed values for `bitrateMode`.
    `static class` | `VideoEncoderSettings.Builder` | Builds `VideoEncoderSettings` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bitrate` | The encoding bitrate.
    `@com.google.android.exoplayer2.transformer.VideoEncoderSettings.BitrateMode int` | `bitrateMode` | One of VideoEncoderSettings.BitrateMode.
    `static VideoEncoderSettings` | `DEFAULT` | A default `VideoEncoderSettings`.
    `static float` | `DEFAULT_I_FRAME_INTERVAL_SECONDS` | The default I-frame interval in seconds.
    `boolean` | `enableHighQualityTargeting` | Whether the encoder should automatically set the bitrate to target a high quality encoding.
    `float` | `iFrameIntervalSeconds` | The encoding I-Frame interval in seconds.
    `int` | `level` | The encoding level.
    `static int` | `NO_VALUE` | A value for various fields to indicate that the field's value is unknown or not applicable.
    `int` | `operatingRate` | The encoder `operating rate`.
    `int` | `priority` | The encoder `priority`.
    `int` | `profile` | The encoding profile.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VideoEncoderSettings.Builder` | `buildUpon()` | Returns a `VideoEncoderSettings.Builder` initialized with the values of this instance.
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_VALUE

          public static final int NO_VALUE

      A value for various fields to indicate that the field's value is unknown or not applicable.
      See Also:
        Constant Field Values

    - #### DEFAULT_I_FRAME_INTERVAL_SECONDS

          public static final float DEFAULT_I_FRAME_INTERVAL_SECONDS

      The default I-frame interval in seconds.
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final VideoEncoderSettings DEFAULT

      A default `VideoEncoderSettings`.

    - #### bitrate

          public final int bitrate

      The encoding bitrate.

    - #### bitrateMode

          public final @com.google.android.exoplayer2.transformer.VideoEncoderSettings.BitrateMode int bitrateMode

      One of VideoEncoderSettings.BitrateMode.

    - #### profile

          public final int profile

      The encoding profile.

    - #### level

          public final int level

      The encoding level.

    - #### iFrameIntervalSeconds

          public final float iFrameIntervalSeconds

      The encoding I-Frame interval in seconds.

    - #### operatingRate

          public final int operatingRate

      The encoder `operating rate`.

    - #### priority

          public final int priority

      The encoder `priority`.

    - #### enableHighQualityTargeting

          public final boolean enableHighQualityTargeting

      Whether the encoder should automatically set the bitrate to target a high quality encoding.

  - ### Method Detail

    - #### buildUpon

          public VideoEncoderSettings.Builder buildUpon()

      Returns a `VideoEncoderSettings.Builder` initialized with the values of this instance.

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`